.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.49.2.
.TH GPIOGET "1" "April 2023" "libgpiod v2.0.1" "User Commands"
.SH NAME
gpioget \- manual page for gpioget v2.0.1
.SH SYNOPSIS
.B gpioget
[\fI\,OPTIONS\/\fR] \fI\,<line>\/\fR...
.SH DESCRIPTION
Read values of GPIO lines.
.PP
Lines are specified by name, or optionally by offset if the chip option
is provided.
.SH OPTIONS
.TP
\fB\-a\fR, \fB\-\-as\-is\fR
leave the line direction unchanged, not forced to input
.TP
\fB\-b\fR, \fB\-\-bias\fR <bias>
specify the line bias
Possible values: 'pull\-down', 'pull\-up', 'disabled'.
(default is to leave bias unchanged)
.TP
\fB\-\-by\-name\fR
treat lines as names even if they would parse as an offset
.TP
\fB\-c\fR, \fB\-\-chip\fR <chip>
restrict scope to a particular chip
.HP
\fB\-C\fR, \fB\-\-consumer\fR <name> consumer name applied to requested lines (default is 'gpioget')
.TP
\fB\-h\fR, \fB\-\-help\fR
display this help and exit
.TP
\fB\-l\fR, \fB\-\-active\-low\fR
treat the line as active low
.TP
\fB\-p\fR, \fB\-\-hold\-period\fR <period>
wait between requesting the lines and reading the values
.TP
\fB\-\-numeric\fR
display line values as '0' (inactive) or '1' (active)
.TP
\fB\-s\fR, \fB\-\-strict\fR
abort if requested line names are not unique
.TP
\fB\-\-unquoted\fR
don't quote line names
.TP
\fB\-v\fR, \fB\-\-version\fR
output version information and exit
.SS "Chips:"
.IP
A GPIO chip may be identified by number, name, or path.
e.g. '0', 'gpiochip0', and '/dev/gpiochip0' all refer to the same chip.
.SS "Periods:"
.IP
Periods are taken as milliseconds unless units are specified. e.g. 10us.
Supported units are 's', 'ms', and 'us'.
.SH AUTHOR
Bartosz Golaszewski <bartekgola@gmail.com>
.SH "REPORTING BUGS"
Report bugs to:
    Bartosz Golaszewski <bartekgola@gmail.com>
    linux-gpio <linux-gpio@vger.kernel.org>
.SH COPYRIGHT
Copyright \(co 2017\-2023 Bartosz Golaszewski
License: GPL\-2.0\-or\-later
.br
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
